#include <iostream.h>
#include "blocco_jacobi.h"
#include "datijacobi.h"

int main(int argc,char* argv[]) {
	int N = 1 / DELTA;
	unsigned int n = 0;
	
	if (argc > 1) {
		N = atoi(argv[1]);
		CONVERGENZA = atof(argv[2]);
	}

	BloccoJacobi *b = new BloccoJacobi(N,N);
	
	cout << endl << "# Jacobi sequenziale." << endl;
	cout << "# Dimensione lato matrice: " << N << "\t Convergenza: "
		<< CONVERGENZA << endl;
	
	b->ai_limiti(NORD,SUD,OVEST,EST);
	b->set_convergenza(CONVERGENZA);
	n = b->calcola_jacobi();
	cout << "# Tempo di esecuzione: " << b->get_tempo_calcolo() << endl;
	cout << "# Numero di iterazioni: " << n << endl;
	b->mostra_risultato();
	
	delete b;
}
